Bug 484512 - Clock jitter test - calculation technique
Clock jitter test - calculation technique
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Greg Nichols
Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-07 12:24 EST by Gregg Shick
Modified: 2014-03-25 20:56 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-21 11:57:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregg Shick 2009-02-07 12:24:31 EST
Description of problem:

As part of the Certification suite, there is a "clock test" that looks for "jitter" on SMP systems. This test gets the value of time across several "cores" and checks to see that the difference between the highest and lowest values is bound within 0.2 secs. 
 
We have found that under some circumstances, this test would fail:
- if there is CPU stress
- if there is a large number of logical CPUs (16, or 32)

Our developement feels that in the future, based upon how the jitter calculation is currently done, this test will be more difficult to pass as the number of cores become much larger (64 or 128).  

Dev comments:  "One way to deal with this would be to increase the priority of the process to "RT". We performed this modification and noticed much better results. The test passed in every case."

Version-Release number of selected component (if applicable):



Steps to Reproduce:
1.  Execute core test on a RH5/RH4 system while load is running.
2.  Move to a higher cpu core count.  
3.
  
Actual results:


Expected results:


Additional info:
Comment 9 errata-xmlrpc 2010-04-21 11:57:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0365.html

Note You need to log in before you can comment on or make changes to this bug.